PindoDocs
Web AppWeb

Inbound SMS

Pindo inbound messaging enables two-way SMS. Configure a webhook URL in the dashboard and receive every message sent to your short or long code.

Webhook events

When someone messages your code, Pindo sends a POST request to your webhook URL with the message payload.

{
  "from": "+25078123456",
  "to": "7878",
  "created_at": "24-07-2020, 23:35:32",
  "sms_id": 1058918,
  "text": "Hello from Pindo",
  "telco": "MTN"
}
FieldDescription
fromSender's phone number.
toYour short or long code that received the message.
textThe message content.
telcoThe originating mobile network, e.g. MTN.
created_atTimestamp the message was received.

List inbound messages

GET/v1/sms/inbounds

Retrieve received messages with pagination metadata.

{
  "inbound_sms": [
    {
      "account_id": "123",
      "active": true,
      "created_at": "2021-07-12T16:07:52.559125",
      "id": "in_sms_01KYJ5ALF49ZKT765FV2E407XQ",
      "id_smsc": null,
      "inbound_sms_number": "+250781113333",
      "language_id": null,
      "org_id": "0",
      "self_url": "http://api.pindo.io/v1/sms/in_sms_01KYJ9AAF02ZKT765FV2E417XQ",
      "sms_item_count": 1,
      "telco_id": null,
      "text": "Hello world !"
      "to": "+25078123456",
      "wallet_charge_id": "trn_01KYJ5IAF9HGLK6DWQDMHRPHBK"
    }
  ],
  "pages": {
    "first_url": "http://api.pindo.io/v1/sms/inbounds?page=1&per_page=1",
    "last_url": "http://api.pindo.io/v1/sms/inbounds?page=2&per_page=1",
    "next_url": "http://api.pindo.io/v1/sms/inbounds?page=2&per_page=1",
    "page": 1,
    "pages": 2,
    "per_page": 1,
    "prev_url": null,
    "total": 2
  }
}

Try it

Interactive PlaygroundFetch received inbound messages from your account
cURL
curl -X GET "https://api.pindo.io/v1/sms/inbounds?page=1&per_page=10" \
  -H "Authorization: Bearer YOUR_TOKEN"